Bug 920581 - Kernel panic when mounting USB hard disk
Kernel panic when mounting USB hard disk
Status: RESOLVED NORESPONSE
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Kernel
13.2
x86-64 openSUSE 13.2
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-04 10:51 UTC by Holger Sickenberg
Modified: 2015-12-15 13:16 UTC (History)
4 users (show)

See Also:
Found By: Development
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
journalctl.log (198.68 KB, text/x-log)
2015-03-04 10:51 UTC, Holger Sickenberg
Details
journal-new-kernel.log (146.53 KB, text/plain)
2015-03-10 09:41 UTC, Holger Sickenberg
Details
dmesg output openSUSE 13.1 (60.15 KB, text/plain)
2015-03-10 10:47 UTC, Holger Sickenberg
Details
dmesg-new (97.73 KB, text/plain)
2015-06-30 12:42 UTC, Holger Sickenberg
Details
journal-new (668 bytes, text/plain)
2015-06-30 12:44 UTC, Holger Sickenberg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Holger Sickenberg 2015-03-04 10:51:00 UTC
Created attachment 625353 [details]
journalctl.log

I do have an USB hard disk that is mounted during boot via /etc/fstab

UUID=f0dbd038-551d-4acf-8a0a-ce636e935b12 /usbvideo            ext3       nofail                1 2

This is working fine with openSUSE 13.1. But with openSUSE 13.2 (all updates installed) accessing the data on that device is always resulting in a kernel Ops.

I attached the journalctl output, if you need further information please let me know
Comment 1 Takashi Iwai 2015-03-04 11:32:48 UTC
The upstream has a fix 90a646c770c50cc206ceba0d7b50453c46c13c36
    usb: Do not allow usb_alloc_streams on unconfigured devices

so 3.18 and later kernel should work.  Meanwhile I backported the fix to openSUSE-13.2 branch now.  Please test the kernel in OBS Kernel:openSUSE-13.2 repo later.

Feel free to reopen the bug if the problem still exists with the kernel containing this fix commit.
Comment 2 Holger Sickenberg 2015-03-10 09:40:22 UTC
kernel-desktop-3.16.7-51.1.gea5ed8c.x86_64.rpm did not solve the problem for me. See attached log file.
Comment 3 Holger Sickenberg 2015-03-10 09:41:46 UTC
Created attachment 626044 [details]
journal-new-kernel.log
Comment 4 Oliver Neukum 2015-03-10 10:14:18 UTC
(In reply to Takashi Iwai from comment #1)
> The upstream has a fix 90a646c770c50cc206ceba0d7b50453c46c13c36
>     usb: Do not allow usb_alloc_streams on unconfigured devices
> 
> so 3.18 and later kernel should work.  Meanwhile I backported the fix to
> openSUSE-13.2 branch now.  Please test the kernel in OBS
> Kernel:openSUSE-13.2 repo later.
> 
> Feel free to reopen the bug if the problem still exists with the kernel
> containing this fix commit.

The device does not even accept its address after the reset. It looks like the state is not updated, but even if it were updated that would only prevent the oops, not make the device work.
Comment 5 Oliver Neukum 2015-03-10 10:14:51 UTC
Please provide the log 13.1 if you still have it.
Comment 6 Holger Sickenberg 2015-03-10 10:47:36 UTC
Created attachment 626063 [details]
dmesg output openSUSE 13.1
Comment 7 Swamp Workflow Management 2015-04-13 12:16:25 UTC
openSUSE-SU-2015:0713-1: An update that solves 13 vulnerabilities and has 52 fixes is now available.

Category: security (important)
Bug References: 867199,893428,895797,900811,901925,903589,903640,904899,905681,907039,907818,907988,908582,908588,908589,908592,908593,908594,908596,908598,908603,908604,908605,908606,908608,908610,908612,909077,909078,909477,909634,910150,910322,910440,911311,911325,911326,911356,911438,911578,911835,912061,912202,912429,912705,913059,913466,913695,914175,915425,915454,915456,915577,915858,916608,917830,917839,918954,918970,919463,920581,920604,921313,922542,922944
CVE References: CVE-2014-8134,CVE-2014-8160,CVE-2014-8559,CVE-2014-9419,CVE-2014-9420,CVE-2014-9428,CVE-2014-9529,CVE-2014-9584,CVE-2014-9585,CVE-2015-0777,CVE-2015-1421,CVE-2015-1593,CVE-2015-2150
Sources used:
openSUSE 13.2 (src):    bbswitch-0.8-3.6.6, cloop-2.639-14.6.6, crash-7.0.8-6.6, hdjmod-1.28-18.7.6, ipset-6.23-6.6, kernel-docs-3.16.7-13.2, kernel-obs-build-3.16.7-13.7, kernel-obs-qa-3.16.7-13.1, kernel-obs-qa-xen-3.16.7-13.1, kernel-source-3.16.7-13.1, kernel-syms-3.16.7-13.1, pcfclock-0.44-260.6.2, vhba-kmp-20140629-2.6.2, virtualbox-4.3.20-10.2, xen-4.4.1_08-12.2, xtables-addons-2.6-6.2
Comment 9 Jiri Slaby 2015-06-04 07:33:04 UTC
It seems so. If not, please reopen.
Comment 10 Holger Sickenberg 2015-06-30 12:42:56 UTC
Created attachment 639662 [details]
dmesg-new
Comment 11 Holger Sickenberg 2015-06-30 12:44:34 UTC
Created attachment 639663 [details]
journal-new

Issue still not solved. Device is there and can be mounted. "df command shows the size but when "ls" into the directory the command will not succeed. Instead attached messages in dmesg.
Comment 12 Holger Sickenberg 2015-06-30 12:45:01 UTC
So reopen the bug.
Comment 13 Oliver Neukum 2015-07-01 13:42:40 UTC
(In reply to Holger Sickenberg from comment #11)
> Created attachment 639663 [details]
> journal-new
> 
> Issue still not solved. Device is there and can be mounted. "df command
> shows the size but when "ls" into the directory the command will not
> succeed. Instead attached messages in dmesg.

These are not kernel messages. Please do a sysrq-T
Comment 14 Holger Sickenberg 2015-07-09 06:27:33 UTC
When doing sysrq-T I get message:
        "SysRq . This sysrq operation is disabled."
What do I need to do to enable?
Comment 15 Takashi Iwai 2015-07-09 06:43:13 UTC
Run once:
  sysctl kernel.sysrq=1

For permanent setup, use /etc/sysctl.conf or /etc/sysctl.d/*

Or, you can manually trigger via
  echo t > /proc/sysrq-trigger
Comment 16 Holger Sickenberg 2015-12-08 07:26:06 UTC
This problem does not appear on openSUSE Leap 42,1
Comment 17 Oliver Neukum 2015-12-15 09:44:27 UTC
(In reply to Holger Sickenberg from comment #16)
> This problem does not appear on openSUSE Leap 42,1

Still, the fix went in and you now are seeing another error. We need to know, where "ls" hangs. Please do the sysrq-T
Comment 18 Holger Sickenberg 2015-12-15 13:10:03 UTC
I unfortunately do not have a openSUSE 13.2 on that machine installed still.